"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const log_1 = require("../utils/log");
const defaultPaths_1 = require("../config/defaultPaths");
class CreateContentTemplateService {
    constructor() {
        this.fileType = 'json';
    }
    async execute(description, content) {
        var _a;
        const timestamp = Math.round(Date.now() / 1000);
        const newsTemplate = new Array(10).fill({
            text: '',
            url: '',
        });
        const template = {
            title: (_a = content === null || content === void 0 ? void 0 : content.title) !== null && _a !== void 0 ? _a : '',
            fps: 30,
            timestamp,
            date: new Date().toLocaleDateString('pt-BR'),
            intro: {
                text: `Olá pessoal, A seguir vocês acompanharão as notícias desta ${new Date().toLocaleDateString('pt-BR', { weekday: 'long' })}. Na descrição vocês encontram os links para saber mais sobre cada noticia. `,
            },
            end: {
                text: 'Estas notícias foram extraídas da newsletter de Filipe Deschamps. Para acompanhar estas notícias em formato de texto, inscreva-se no link na descrição.',
                url: 'https://links.codestack.me/newsletter-filipe',
            },
            news: (content === null || content === void 0 ? void 0 : content.news)
                ? content === null || content === void 0 ? void 0 : content.news.map(text => ({ text, url: '' }))
                : newsTemplate,
        };
        const contentFileName = path_1.default.resolve(await defaultPaths_1.getPath('content'), `${timestamp}-${description}.${this.fileType}`);
        fs_1.default.writeFileSync(contentFileName, JSON.stringify(template), {
            encoding: 'utf-8',
        });
        log_1.log(`Created ${contentFileName}`, 'CreateContentTemplateService');
    }
}
exports.default = CreateContentTemplateService;
