"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const log_1 = require("../utils/log");
const defaultPaths_1 = require("../config/defaultPaths");
const format_1 = tslib_1.__importDefault(require("../config/format"));
class ExportDataService {
    constructor(content) {
        this.fileType = 'json';
        this.content = content;
    }
    async execute(videoFormat) {
        const dataFilename = `${this.content.timestamp}.${this.fileType}`;
        this.content.width = format_1.default[videoFormat].width;
        this.content.height = format_1.default[videoFormat].height;
        log_1.log(`Exporting data to ${dataFilename}`, 'ExportDataService');
        fs_1.default.writeFileSync(path_1.default.resolve(await defaultPaths_1.getPath('tmp'), dataFilename), JSON.stringify(this.content));
    }
}
exports.default = ExportDataService;
