"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const log_1 = require("../utils/log");
const GetContentService_1 = tslib_1.__importDefault(require("./GetContentService"));
class ValidatesContentService {
    async execute() {
        const content = await new GetContentService_1.default().execute();
        const errors = [];
        if (!content.title) {
            errors.push('Title was not defined');
        }
        if (!content.news || content.news.length === 0) {
            errors.push('News was not defined');
        }
        if (errors.length) {
            log_1.error(`Found errors while validating \n${errors.join('\n')}`, 'ValidatesContentService');
        }
        log_1.log('Validation complete', 'ValidatesContentService');
    }
}
exports.default = ValidatesContentService;
