"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Thumbnail = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const Avatar_png_1 = tslib_1.__importDefault(require("../../assets/Avatar.png"));
const Thumbnail = ({ title, date }) => {
    const videoConfig = remotion_1.useVideoConfig();
    const orientation = videoConfig.width > videoConfig.height ? 'landscape' : 'portrait';
    return (jsx_runtime_1.jsx("div", Object.assign({ style: {
            flex: 1,
            background: '#0C2D48',
        } }, { children: jsx_runtime_1.jsxs(remotion_1.AbsoluteFill, Object.assign({ style: {
                justifyContent: orientation === 'landscape' ? '' : 'center',
            } }, { children: [jsx_runtime_1.jsx("div", Object.assign({ style: {
                        height: orientation === 'landscape' ? 900 : 1150,
                        display: 'flex',
                        flexDirection: 'column',
                        alignItems: 'center',
                        justifyContent: 'space-between',
                        padding: 100,
                    } }, { children: title.split('/').map((t) => (jsx_runtime_1.jsx("h1", Object.assign({ style: {
                            fontSize: 100,
                            lineHeight: '85px',
                            fontFamily: 'ProductSans',
                            color: '#fff',
                            textAlign: 'center',
                            fontWeight: 400,
                            margin: 0,
                        } }, { children: t }), void 0))) }), void 0),
                jsx_runtime_1.jsxs("div", Object.assign({ style: {
                        position: 'absolute',
                        right: orientation === 'landscape' ? 100 : '50%',
                        transform: orientation === 'landscape'
                            ? ''
                            : 'translateX(50%)',
                        bottom: orientation === 'landscape' ? 50 : 1700,
                        display: 'flex',
                        alignItems: 'center',
                        backgroundColor: '#3F6182',
                        padding: 20,
                        borderRadius: 10,
                    } }, { children: [jsx_runtime_1.jsx("img", { src: Avatar_png_1.default, width: videoConfig.width / 20, height: videoConfig.width / 20, style: {
                                borderRadius: 50,
                                boxShadow: '0px 0px 30px -10px rgba(0,0,0,0.75)',
                                marginRight: 15,
                            } }, void 0),
                        jsx_runtime_1.jsx("h1", Object.assign({ style: {
                                fontFamily: 'Nunito',
                                color: '#fff',
                                fontSize: 40,
                            } }, { children: "CodeStack" }), void 0)] }), void 0),
                jsx_runtime_1.jsx("h2", Object.assign({ style: {
                        position: 'absolute',
                        bottom: 50,
                        left: orientation === 'landscape' ? 100 : '50%',
                        transform: orientation === 'landscape'
                            ? ''
                            : 'translateX(-50%)',
                        fontSize: 70,
                        fontFamily: 'ProductSans',
                        color: '#fff',
                        textAlign: 'center',
                        fontWeight: 'lighter',
                        marginBottom: 30,
                    } }, { children: date }), void 0)] }), void 0) }), void 0));
};
exports.Thumbnail = Thumbnail;
